Crypto++ 8.2 Free C++ class library of cryptographic schemes

Public Member Functions | List of all members
Clonable Class Reference

Interface for cloning objects. More...

Inheritance diagram for Clonable:

## Public Member Functions
virtual Clonable * | Clone () const
| Copies this object. More...

## Detailed Description

Interface for cloning objects.

Note
  this is not implemented by most classes

See also
  ClonableImpl, NotCopyable

Definition at line 584 of file cryptlib.h.

## Member Function Documentation

## ◆ Clone()

virtual Clonable* Clonable::Clone | ( |  | ) | const
| inline virtual

Copies this object.

Returns
  a copy of this object

Exceptions

  NotImplemented |

Note
  this is not implemented by most classes

See also
  NotCopyable

Reimplemented in SymmetricCipherFinal< ConcretePolicyHolder< XChaCha20_Policy, AdditiveCipherTemplate<> >, XChaCha20_Info >, SymmetricCipherFinal< ConcretePolicyHolder< ChaChaTLS_Policy, AdditiveCipherTemplate<> >, ChaChaTLS_Info >, ClonableImpl< RIPEMD320, AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, RIPEMD320 > >, ClonableImpl< SHA256, AlgorithmImpl< IteratedHash< word32, BigEndian, T_BlockSize >, SHA256 > >, ClonableImpl< Tiger, AlgorithmImpl< IteratedHash< word64, LittleEndian, T_BlockSize >, Tiger > >, ClonableImpl< MessageAuthenticationCodeFinal< Poly1305_Base< T > >, MessageAuthenticationCodeImpl< Poly1305_Base< T > > >, ClonableImpl< MessageAuthenticationCodeFinal< TTMAC_Base >, MessageAuthenticationCodeImpl< TTMAC_Base > >, ClonableImpl< MD4, AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, MD4 > >, ClonableImpl< RIPEMD256, AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, RIPEMD256 > >, ClonableImpl< Whirlpool, AlgorithmImpl< IteratedHash< word64, BigEndian, T_BlockSize >, Whirlpool > >, ClonableImpl< SM3, AlgorithmImpl< IteratedHash< word32, BigEndian, T_BlockSize >, SM3 > >, ClonableImpl< RIPEMD160, AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, RIPEMD160 > >, ClonableImpl< MessageAuthenticationCodeFinal< DMAC_Base< T > >, MessageAuthenticationCodeImpl< DMAC_Base< T > > >, ClonableImpl< RIPEMD128, AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, RIPEMD128 > >, ClonableImpl< SHA224, AlgorithmImpl< IteratedHash< word32, BigEndian, T_BlockSize >, SHA224 > >, ClonableImpl< SHA512, AlgorithmImpl< IteratedHash< word64, BigEndian, T_BlockSize >, SHA512 > >, ClonableImpl< MessageAuthenticationCodeFinal< Poly1305TLS_Base >, MessageAuthenticationCodeImpl< Poly1305TLS_Base > >, ClonableImpl< MD5, AlgorithmImpl< IteratedHash< word32, LittleEndian, T_BlockSize >, MD5 > >, ClonableImpl< SHA384, AlgorithmImpl< IteratedHash< word64, BigEndian, T_BlockSize >, SHA384 > >, ClonableImpl< T_Transform, AlgorithmImpl< IteratedHash< T_HashWordType, T_Endianness, T_BlockSize >, T_Transform > >, and ClonableImpl< SHA1, AlgorithmImpl< IteratedHash< word32, BigEndian, T_BlockSize >, SHA1 > >.

Definition at line 594 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h